# sourcebuffer.h File Reference

SourceBuffer class. More...

`#include <glibmm.h>`
`#include <gtkmm/textbuffer.h>`
`#include <gtksourceviewmm/sourcelanguage.h>`
`#include <gtksourceviewmm/sourcemark.h>`

Go to the source code of this file.

## Namespaces
namespace | gtksourceview
namespace | Glib
## Classes
class | gtksourceview::SourceBuffer
| The model for SourceView widgets. More...
## Typedefs
typedef struct _GtkSourceBuffer | GtkSourceBuffer
typedef struct _GtkSourceBufferClass | GtkSourceBufferClass

## Detailed Description

SourceBuffer class.

## Typedef Documentation

typedef struct _GtkSourceBuffer GtkSourceBuffer

typedef struct _GtkSourceBufferClass GtkSourceBufferClass